net.minecraft.util

## Class JsonUtils

- java.lang.Object
- - net.minecraft.util.JsonUtils

-     public class JsonUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.gson.JsonArray` | `getJsonElementAsJsonArray(com.google.gson.JsonElement p_151207_0_, java.lang.String p_151207_1_)`
    `static com.google.gson.JsonObject` | `getJsonElementAsJsonObject(com.google.gson.JsonElement p_151210_0_, java.lang.String p_151210_1_)`
    `static boolean` | `getJsonElementBooleanValue(com.google.gson.JsonElement p_151216_0_, java.lang.String p_151216_1_)`
    `static float` | `getJsonElementFloatValue(com.google.gson.JsonElement p_151220_0_, java.lang.String p_151220_1_)`
    `static int` | `getJsonElementIntegerValue(com.google.gson.JsonElement p_151215_0_, java.lang.String p_151215_1_)`
    `static java.lang.String` | `getJsonElementStringValue(com.google.gson.JsonElement p_151206_0_, java.lang.String p_151206_1_)`
    `static java.lang.String` | `getJsonElementTypeDescription(com.google.gson.JsonElement p_151222_0_)`
    `static boolean` | `getJsonObjectBooleanFieldValue(com.google.gson.JsonObject p_151212_0_, java.lang.String p_151212_1_)`
    `static boolean` | `getJsonObjectBooleanFieldValueOrDefault(com.google.gson.JsonObject p_151209_0_, java.lang.String p_151209_1_, boolean p_151209_2_)`
    `static com.google.gson.JsonObject` | `getJsonObjectFieldOrDefault(com.google.gson.JsonObject p_151218_0_, java.lang.String p_151218_1_, com.google.gson.JsonObject p_151218_2_)`
    `static float` | `getJsonObjectFloatFieldValue(com.google.gson.JsonObject p_151217_0_, java.lang.String p_151217_1_)`
    `static float` | `getJsonObjectFloatFieldValueOrDefault(com.google.gson.JsonObject p_151221_0_, java.lang.String p_151221_1_, float p_151221_2_)`
    `static int` | `getJsonObjectIntegerFieldValue(com.google.gson.JsonObject p_151203_0_, java.lang.String p_151203_1_)`
    `static int` | `getJsonObjectIntegerFieldValueOrDefault(com.google.gson.JsonObject p_151208_0_, java.lang.String p_151208_1_, int p_151208_2_)`
    `static com.google.gson.JsonArray` | `getJsonObjectJsonArrayField(com.google.gson.JsonObject p_151214_0_, java.lang.String p_151214_1_)`
    `static com.google.gson.JsonArray` | `getJsonObjectJsonArrayFieldOrDefault(com.google.gson.JsonObject p_151213_0_, java.lang.String p_151213_1_, com.google.gson.JsonArray p_151213_2_)`
    `static java.lang.String` | `getJsonObjectStringFieldValue(com.google.gson.JsonObject p_151200_0_, java.lang.String p_151200_1_)`
    `static java.lang.String` | `getJsonObjectStringFieldValueOrDefault(com.google.gson.JsonObject p_151219_0_, java.lang.String p_151219_1_, java.lang.String p_151219_2_)`
    `static boolean` | `jsonElementTypeIsString(com.google.gson.JsonElement p_151211_0_)`
    `static boolean` | `jsonObjectFieldTypeIsArray(com.google.gson.JsonObject p_151202_0_, java.lang.String p_151202_1_)`
    `static boolean` | `jsonObjectFieldTypeIsPrimitive(com.google.gson.JsonObject p_151201_0_, java.lang.String p_151201_1_)`
    `static boolean` | `jsonObjectFieldTypeIsString(com.google.gson.JsonObject p_151205_0_, java.lang.String p_151205_1_)`
    `static boolean` | `jsonObjectHasNamedField(com.google.gson.JsonObject p_151204_0_, java.lang.String p_151204_1_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonUtils

          public JsonUtils()

  - ### Method Detail

    - #### jsonObjectFieldTypeIsString

          public static boolean jsonObjectFieldTypeIsString(com.google.gson.JsonObject p_151205_0_,
                                            java.lang.String p_151205_1_)

    - #### jsonElementTypeIsString

          public static boolean jsonElementTypeIsString(com.google.gson.JsonElement p_151211_0_)

    - #### jsonObjectFieldTypeIsArray

          public static boolean jsonObjectFieldTypeIsArray(com.google.gson.JsonObject p_151202_0_,
                                           java.lang.String p_151202_1_)

    - #### jsonObjectFieldTypeIsPrimitive

          public static boolean jsonObjectFieldTypeIsPrimitive(com.google.gson.JsonObject p_151201_0_,
                                               java.lang.String p_151201_1_)

    - #### jsonObjectHasNamedField

          public static boolean jsonObjectHasNamedField(com.google.gson.JsonObject p_151204_0_,
                                        java.lang.String p_151204_1_)

    - #### getJsonElementStringValue

          public static java.lang.String getJsonElementStringValue(com.google.gson.JsonElement p_151206_0_,
                                                   java.lang.String p_151206_1_)

    - #### getJsonObjectStringFieldValue

          public static java.lang.String getJsonObjectStringFieldValue(com.google.gson.JsonObject p_151200_0_,
                                                       java.lang.String p_151200_1_)

    - #### getJsonObjectStringFieldValueOrDefault

          public static java.lang.String getJsonObjectStringFieldValueOrDefault(com.google.gson.JsonObject p_151219_0_,
                                                                java.lang.String p_151219_1_,
                                                                java.lang.String p_151219_2_)

    - #### getJsonElementBooleanValue

          public static boolean getJsonElementBooleanValue(com.google.gson.JsonElement p_151216_0_,
                                           java.lang.String p_151216_1_)

    - #### getJsonObjectBooleanFieldValue

          public static boolean getJsonObjectBooleanFieldValue(com.google.gson.JsonObject p_151212_0_,
                                               java.lang.String p_151212_1_)

    - #### getJsonObjectBooleanFieldValueOrDefault

          public static boolean getJsonObjectBooleanFieldValueOrDefault(com.google.gson.JsonObject p_151209_0_,
                                                        java.lang.String p_151209_1_,
                                                        boolean p_151209_2_)

    - #### getJsonElementFloatValue

          public static float getJsonElementFloatValue(com.google.gson.JsonElement p_151220_0_,
                                       java.lang.String p_151220_1_)

    - #### getJsonObjectFloatFieldValue

          public static float getJsonObjectFloatFieldValue(com.google.gson.JsonObject p_151217_0_,
                                           java.lang.String p_151217_1_)

    - #### getJsonObjectFloatFieldValueOrDefault

          public static float getJsonObjectFloatFieldValueOrDefault(com.google.gson.JsonObject p_151221_0_,
                                                    java.lang.String p_151221_1_,
                                                    float p_151221_2_)

    - #### getJsonElementIntegerValue

          public static int getJsonElementIntegerValue(com.google.gson.JsonElement p_151215_0_,
                                       java.lang.String p_151215_1_)

    - #### getJsonObjectIntegerFieldValue

          public static int getJsonObjectIntegerFieldValue(com.google.gson.JsonObject p_151203_0_,
                                           java.lang.String p_151203_1_)

    - #### getJsonObjectIntegerFieldValueOrDefault

          public static int getJsonObjectIntegerFieldValueOrDefault(com.google.gson.JsonObject p_151208_0_,
                                                    java.lang.String p_151208_1_,
                                                    int p_151208_2_)

    - #### getJsonElementAsJsonObject

          public static com.google.gson.JsonObject getJsonElementAsJsonObject(com.google.gson.JsonElement p_151210_0_,
                                                              java.lang.String p_151210_1_)

    - #### getJsonObjectFieldOrDefault

          public static com.google.gson.JsonObject getJsonObjectFieldOrDefault(com.google.gson.JsonObject p_151218_0_,
                                                               java.lang.String p_151218_1_,
                                                               com.google.gson.JsonObject p_151218_2_)

    - #### getJsonElementAsJsonArray

          public static com.google.gson.JsonArray getJsonElementAsJsonArray(com.google.gson.JsonElement p_151207_0_,
                                                            java.lang.String p_151207_1_)

    - #### getJsonObjectJsonArrayField

          public static com.google.gson.JsonArray getJsonObjectJsonArrayField(com.google.gson.JsonObject p_151214_0_,
                                                              java.lang.String p_151214_1_)

    - #### getJsonObjectJsonArrayFieldOrDefault

          public static com.google.gson.JsonArray getJsonObjectJsonArrayFieldOrDefault(com.google.gson.JsonObject p_151213_0_,
                                                                       java.lang.String p_151213_1_,
                                                                       com.google.gson.JsonArray p_151213_2_)

    - #### getJsonElementTypeDescription

          public static java.lang.String getJsonElementTypeDescription(com.google.gson.JsonElement p_151222_0_)